Bug 92150 - Server error on languages tab in templates
Server error on languages tab in templates
Status: CLOSED WONTFIX
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-03 09:12 EDT by Richard Li
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 13:34:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Li 2003-06-03 09:12:39 EDT
Description of problem:

Server error when clicking on languages tab of a template. Maybe the fix is not
to display the languages tab for a template? Not sure if displaying makes sense
(I suppose it is nice to support a template for a particular language instance,
but if we don't have that functionality we should just hide the tab I think.)

Version-Release number of selected component (if applicable):


How reproducible:

Always

Steps to Reproduce:
1. Choose content type.
2. Add template.
3. Click on languages tab for the template.
    
Actual results:

Server error:

-*-*-*- Section: Stack trace -*-*-*-
java.lang.ClassCastException: com.arsdigita.cms.Template
	at
com.arsdigita.cms.ui.item.ItemLanguagesTable$LanguagesBuilder.makeDataQuery(ItemLanguagesTable.java:99)
	at
com.arsdigita.toolbox.ui.DataTable$DataBuilderAdapter.createQuery(DataTable.java:705)
	at
com.arsdigita.toolbox.ui.DataTable$DataBuilderAdapter.makeModel(DataTable.java:739)
	at com.arsdigita.bebop.Table$3.initialValue(Table.java:768)
	at com.arsdigita.bebop.RequestLocal.get(RequestLocal.java:122)
	at com.arsdigita.bebop.Table.getTableModel(Table.java:757)
	at com.arsdigita.bebop.Table.generateXML(Table.java:686)
	at com.arsdigita.toolbox.ui.ActionGroup.generateXML(ActionGroup.java:81)
	at com.arsdigita.toolbox.ui.Section.generateXML(Section.java:117)
	at com.arsdigita.toolbox.ui.LayoutPanel.section(LayoutPanel.java:88)
	at com.arsdigita.toolbox.ui.LayoutPanel.generateXML(LayoutPanel.java:73)
	at com.arsdigita.bebop.TabbedPane.generateXML(TabbedPane.java:444)
	at com.arsdigita.bebop.SimpleContainer.generateXML(SimpleContainer.java:245)
	at com.arsdigita.bebop.Page.generateXML(Page.java:639)
	at com.arsdigita.bebop.Page.buildDocument(Page.java:737)
	at com.arsdigita.cms.dispatcher.CMSPage$1.excurse(CMSPage.java:251)
	at com.arsdigita.cms.CMSExcursion.run(CMSExcursion.java:71)
	at com.arsdigita.cms.dispatcher.CMSPage.dispatch(CMSPage.java:259)
	at
_packages._content_22dsection._www._admin._item__jsp._jspService(_item__jsp.java:59)
	at com.caucho.jsp.JavaPage.service(JavaPage.java:75)
	at com.caucho.jsp.Page.subservice(Page.java:485)
	at com.caucho.server.http.FilterChainPage.doFilter(FilterChainPage.java:182)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:213)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:100)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:77)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardHelper(DispatcherHelper.java:174)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardRequestByPath(DispatcherHelper.java:203)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardRequestByPath(DispatcherHelper.java:216)
	at
com.arsdigita.cms.dispatcher.FileDispatcher.chainedDispatch(FileDispatcher.java:61)
	at com.arsdigita.dispatcher.DispatcherChain.dispatch(DispatcherChain.java:74)
	at
com.arsdigita.cms.ContentSectionServlet.doService(ContentSectionServlet.java:142)
	at
com.arsdigita.web.BaseApplicationServlet$1.excurse(BaseApplicationServlet.java:119)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at
com.arsdigita.web.BaseApplicationServlet.doService(BaseApplicationServlet.java:113)
	at com.arsdigita.web.BaseServlet$1.excurse(BaseServlet.java:128)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.web.BaseServlet.internalService(BaseServlet.java:104)
	at com.arsdigita.web.BaseServlet.doGet(BaseServlet.java:205)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:126)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:103)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:213)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:100)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:77)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:212)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:198)
	at com.arsdigita.web.BaseDispatcher.dispatch(BaseDispatcher.java:130)
	at com.arsdigita.web.DispatcherServlet.service(DispatcherServlet.java:136)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.HttpRequest.handleRequest(HttpRequest.java:221)
	at com.caucho.server.http.HttpRequest.handleConnection(HttpRequest.java:163)
	at com.caucho.server.TcpConnection.run(TcpConnection.java:137)
	at java.lang.Thread.run(Thread.java:512)

Expected results:

Languages tab

Additional info:
Comment 1 Richard Li 2003-06-03 09:26:36 EDT
Talked to Scott, who says that template resolution is not language specific, so
he thinks the right thing to do is hide the languages tab for templates.
Comment 2 Justin Ross 2003-06-10 20:31:38 EDT
This bug also got bumped to rc0 in our meeting today.
Comment 3 Jim Parsons 2003-07-21 10:06:49 EDT
Justin fixed this some time ago.
Comment 4 David Lawrence 2006-07-17 23:29:21 EDT
QA_READY has been deprecated in favor of ON_QA. Please use ON_QA in the future.
Moving to ON_QA.
Comment 5 Jon Orris 2006-09-05 13:34:09 EDT
Closing old tickets



Note You need to log in before you can comment on or make changes to this bug.